Post v0config - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/v0/config
Try it
cURL
curl --request POST \
--url https://demo-api.gable.ai/v0/config \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"config_type": "<string>",
"project_root": "<string>",
"version": "<string>",
"config_value": {},
"created_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"repo": "<string>",
"namespace": "<string>"
}
'
Python
import requests
url = "https://demo-api.gable.ai/v0/config"
payload = {
"config_type": "<string>",
"project_root": "<string>",
"version": "<string>",
"config_value": {},
"created_at": "2023-11-07T05:31:56Z",
"language": "<string>",
"repo": "<string>",
"namespace": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config_type: '<string>',
project_root: '<string>',
version: '<string>',
config_value: {},
created_at: '2023-11-07T05:31:56Z',
language: '<string>',
repo: '<string>',
namespace: '<string>'
})
};
fetch('https://demo-api.gable.ai/v0/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
200
{
"message": "<string>",
"configIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
Authorizations
- X-API-KEY: string (header, required)
Body
- application/json
- config_type: string (required)
- project_root: string (optional)
- version: string (required)
- config_value: object (required)
- created_at: string (required)
- language: string | null (optional)
- repo: string | null (optional)
- namespace: string (optional, default to qa)
Response
200 - application/json
- message: string (required)
- configIds: string
[] (required)